Bug 688626 - Problems syncing new channel content on disconnected satellites.
Problems syncing new channel content on disconnected satellites.
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
540
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Milan Zazrivec
Šimon Lukašík
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2011-03-17 10:38 EDT by Karl Abbott
Modified: 2011-06-15 05:52 EDT (History)
10 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-38
Doc Type: Bug Fix
Doc Text:
Cause: Exporter would not export all necessary attributes for package files which do not have a checksum associated (symbolic links, directories). Consequence: Export created by Satellite 5.4 was not consumable by Satellite 5.3 and older versions. Fix: The fix was quite simple. Result: Exports created by Satellite 5.4 are consumable by Satellite 5.3 and older versions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-12 07:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Abbott 2011-03-17 10:38:26 EDT
Description of problem:

As per the discussion with Milan Zazrivec on rhn-satellite list, it seems that this issue present on satellite v 5.2 and 5.3 (as per customers verification)

http://post-office.corp.redhat.com/archives/rhn-satellite/2011-February/msg00092.html

satellite-sync from channel specific channel content ISO -   RHEL 5 Client/Server (x86_64) + EUS + AMC + RHN Proxy/Tools + Supplementary (Incremental 2010-06-10:2011-01-16) 

fails with following error : 


Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 142, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 212, in main
    ret = method()
File "/usr/share/rhn/satellite_tools/satsync.py", line 324, in _step_packages
    self._affected_channels = self.syncer.import_packages()
File "/usr/share/rhn/satellite_tools/satsync.py", line 1706, in import_packages
    sync_handlers.import_packages(batch)
File "/usr/share/rhn/satellite_tools/sync_handlers.py", line 435, in import_packages
    importer.run()
  File "/usr/share/rhn/server/importlib/importLib.py", line 629, in run
    self.submit()
File "/usr/share/rhn/server/importlib/packageImport.py", line 308, in submit
    transactional=self.transactional)
File "/usr/share/rhn/server/importlib/backend.py", line 741, in processPackages
    transactional=transactional)
File "/usr/share/rhn/server/importlib/backend.py", line 1575, in __processObjectCollection__
    childTableLookups)
File "/usr/share/rhn/server/importlib/backend.py", line 1651, in __processUploaded
    _buildExternalValue(val, ent, childTableObj)
File "/usr/share/rhn/server/importlib/backend.py", line 2037, in _buildExternalValue
    dict[f] = sanitizeValue(entry[attr], datatype)
File "/usr/share/rhn/server/importlib/backendLib.py", line 467, in sanitizeValue
    return value[:datatype.limit]
TypeError: unsubscriptable object


Version-Release number of selected component (if applicable):

5.4

How reproducible:

2 Customers according to discussion mentioned above.

Steps to Reproduce:
1. Sync from channel dump
2.
3.
  
Actual results:
Fails

Expected results:
Shouldn't fail.

Additional info:

Internally the dump is shared via NFS details are as bellow : 

10.65.210.202:/dump
Comment 2 Xixi 2011-03-17 16:20:42 EDT
From the email thread re "RHEL 5 Client/Server (x86_64) + EUS + AMC + RHN Proxy/Tools + Supplementary (Incremental 2010-06-10:2011-01-16)" -

"> Issue persist only with this specific channel content ISO, other channel
> content Base ISO's and incremental ISO's can be synced successfully. So
> it seems that the metadata in this ISO is causing problem. Can some one
> please confirm this ?"
Comment 4 Marcelo Moreira de Mello 2011-03-24 11:12:32 EDT
Hello, 

We hit this bug in two situations: 

  1) Downloading the ISOS Channel Content Dump from RHN Hosted (Customer Portal) and trying to import it in Satellite 5.0.2. The error showed is exactly the same reported above. 


  2) Syncing from Satellite 5.4 to Satellite 5.3 using ISS we hit the same issue reported above as well. 


Regards, 
Marcelo
Comment 10 Milan Zazrivec 2011-03-29 06:20:49 EDT
spacewalk.git master: 144791cf1c60ffe99a6f14fa58df07f1e366504e
Comment 11 Milan Zazrivec 2011-03-29 06:22:21 EDT
satellite.git SATELLITE-5.4: 3dad49b982356eefbeafb0cc3237576a7d3bbe56
Comment 12 Milan Zazrivec 2011-03-29 07:35:03 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  Exporter would not export all necessary attributes for package files which do not have a checksum associated
(symbolic links, directories).

Consequence: Export created by Satellite 5.4 was not consumable by Satellite 5.3 and older versions.

Fix: The fix was quite simple.

Result: Exports created by Satellite 5.4 are consumable by Satellite 5.3 and older versions.
Comment 15 Šimon Lukašík 2011-03-31 03:49:50 EDT
I am taking QA contact.
Comment 17 Šimon Lukašík 2011-03-31 09:21:42 EDT
I can see the error exporting rhn-tools-rhel-i386-server-5 from sat540 to sat530.

I can verify that the dump created with new package set is able
to import on Sat521+, Sat530+ and Sat540+.

I will follow up with additional testing.
Comment 18 Jiri Kastner 2011-04-04 04:05:32 EDT
ISS from 5.4 master to 5.3 slave works
Comment 19 Jiri Kastner 2011-04-04 07:19:34 EDT
################## WEBUI SAT5.4 #########################
rmt-0.4b39-5.el4.i386.rpm
/etc/rmt	(Symlink)	 2010-05-18 12:14:34	  
/sbin/rmt	MD5: 29492d140a388be826f3fff694d104e6	 2010-05-18 12:14:34	395,184 bytes
/usr/share/man/man8/rmt.8.gz	MD5: b390c75b815a9a9883d24d6732037b6a	 2010-05-18 12:14:34	3,358 bytes

initscripts-7.93.35-1.el4_8.i386.rpm
/bin/doexec	MD5: 623f806480529d7b0725847ff5e9a325	 2010-05-06 13:59:24	2,680 bytes
/bin/ipcalc	MD5: 16e47e26572c62e14216d1e3500610bd	 2010-05-06 13:59:24	26,980 bytes
/bin/usleep	MD5: 4790c5da2c3e77e3aa113f827a66088e	 2010-05-06 13:59:24	22,980 bytes
/etc/adjtime	MD5: c9e1cfa013bca350ffc0c85028381038	 2010-05-06 13:59:23	12 bytes
/etc/initlog.conf	MD5: 238807dba7ce8f0a15ab0d210f08069f	 2010-05-06 13:59:23	658 bytes
/etc/inittab	MD5: 92a39a223f68e67e9e6c412443851aeb	 2010-05-06 13:59:23	1,666 bytes
/etc/ppp	(Directory)	 2010-05-06 13:59:23	  
/etc/ppp/ip-down	MD5: ba3a4d326ebec2b5284377efbc574003	 2010-04-20 18:51:55	353 bytes
/etc/ppp/ip-down.ipv6to4	MD5: 890bf8a57d8f750d308d4ebd630d07a9	 2010-04-20 18:51:55	3,362 bytes
/etc/ppp/ip-up	MD5: 3ac15b88823c64b9225a63e5edc69ba4	 2010-04-20 18:51:55	403 bytes
/etc/ppp/ip-up.ipv6to4	MD5: d4a37b6893e57ec665da330e10e0556f	 2010-04-20 18:51:55	6,594 bytes
/etc/ppp/ipv6-down	MD5: 236294eaac12116ab437fa1cd8f0a9c9	 2010-04-20 18:51:55	797 bytes
/etc/ppp/ipv6-up	MD5: 59addbbab08eb9dc49e6c3fe3f09f227	 2010-04-20 18:51:55	785 bytes
/etc/ppp/peers	(Directory)	 2010-05-06 13:59:23	  
/etc/profile.d/lang.csh	MD5: 1eafb61dafb2826fc1b890f6b6ed8d8e	 2010-05-06 13:59:23	2,182 bytes
/etc/profile.d/lang.sh	MD5: 68b8559e99ea9cc0c9f00465ee1b4855	 2010-05-06 13:59:23	2,470 bytes
/etc/rc	(Symlink)	 2010-05-06 13:59:24	  
/etc/rc.d	(Directory)	 2010-05-06 13:59:24	  
/etc/rc.d/init.d	(Directory)	 2010-04-20 18:51:55	  
/etc/rc.d/init.d/functions	MD5: 00a20a2b158df3eda46c2d723eab4d9c	 2010-04-20 18:51:55	10,799 bytes
/etc/rc.d/init.d/halt	MD5: 7ccdef1e5b369a556ff55180e3b17de5	 2010-04-20 18:51:55	6,028 bytes
/etc/rc.d/init.d/killall	MD5: 4a46e8453ab7b4db6ddaf311fa4a33f3	 2010-04-20 18:51:55	652 bytes
/etc/rc.d/init.d/netfs	MD5: a4cbeea79d584e49041b15c2de2bab09	 2010-04-20 18:51:55	7,442 bytes
/etc/rc.d/init.d/network	MD5: 4792266eef883590fe7743349c4c4c24	 2010-04-20 18:51:55	8,395 bytes
/etc/rc.d/init.d/rawdevices	MD5: 81ec3d9814fe701e590ad5f4ed0acc73	 2010-04-20 18:51:55	2,404 bytes

################## WEBUI SAT5.3 #########################
rmt-0.4b39-5.el4.i386.rpm
/etc/rmt	(Symlink)	 2010-05-18 12:14:34	  
/sbin/rmt	29492d140a388be826f3fff694d104e6	 2010-05-18 12:14:34	395,184 bytes
/usr/share/man/man8/rmt.8.gz	b390c75b815a9a9883d24d6732037b6a	 2010-05-18 12:14:34	3,358 bytes

initscripts-7.93.35-1.el4_8.i386.rpm
/bin/doexec	623f806480529d7b0725847ff5e9a325	 2010-05-06 13:59:24	2,680 bytes
/bin/ipcalc	16e47e26572c62e14216d1e3500610bd	 2010-05-06 13:59:24	26,980 bytes
/bin/usleep	4790c5da2c3e77e3aa113f827a66088e	 2010-05-06 13:59:24	22,980 bytes
/etc/adjtime	c9e1cfa013bca350ffc0c85028381038	 2010-05-06 13:59:23	12 bytes
/etc/initlog.conf	238807dba7ce8f0a15ab0d210f08069f	 2010-05-06 13:59:23	658 bytes
/etc/inittab	92a39a223f68e67e9e6c412443851aeb	 2010-05-06 13:59:23	1,666 bytes
/etc/ppp	(Directory)	 2010-05-06 13:59:23	  
/etc/ppp/ip-down	ba3a4d326ebec2b5284377efbc574003	 2010-04-20 18:51:55	353 bytes
/etc/ppp/ip-down.ipv6to4	890bf8a57d8f750d308d4ebd630d07a9	 2010-04-20 18:51:55	3,362 bytes
/etc/ppp/ip-up	3ac15b88823c64b9225a63e5edc69ba4	 2010-04-20 18:51:55	403 bytes
/etc/ppp/ip-up.ipv6to4	d4a37b6893e57ec665da330e10e0556f	 2010-04-20 18:51:55	6,594 bytes
/etc/ppp/ipv6-down	236294eaac12116ab437fa1cd8f0a9c9	 2010-04-20 18:51:55	797 bytes
/etc/ppp/ipv6-up	59addbbab08eb9dc49e6c3fe3f09f227	 2010-04-20 18:51:55	785 bytes
/etc/ppp/peers	(Directory)	 2010-05-06 13:59:23	  
/etc/profile.d/lang.csh	1eafb61dafb2826fc1b890f6b6ed8d8e	 2010-05-06 13:59:23	2,182 bytes
/etc/profile.d/lang.sh	68b8559e99ea9cc0c9f00465ee1b4855	 2010-05-06 13:59:23	2,470 bytes
/etc/rc	(Symlink)	 2010-05-06 13:59:24	  
/etc/rc.d	(Directory)	 2010-05-06 13:59:24	  
/etc/rc.d/init.d	(Directory)	 2010-04-20 18:51:55	  
/etc/rc.d/init.d/functions	00a20a2b158df3eda46c2d723eab4d9c	 2010-04-20 18:51:55	10,799 bytes
/etc/rc.d/init.d/halt	7ccdef1e5b369a556ff55180e3b17de5	 2010-04-20 18:51:55	6,028 bytes
/etc/rc.d/init.d/killall	4a46e8453ab7b4db6ddaf311fa4a33f3	 2010-04-20 18:51:55	652 bytes
/etc/rc.d/init.d/netfs	a4cbeea79d584e49041b15c2de2bab09	 2010-04-20 18:51:55	7,442 bytes
/etc/rc.d/init.d/network	4792266eef883590fe7743349c4c4c24	 2010-04-20 18:51:55	8,395 bytes
/etc/rc.d/init.d/rawdevices	81ec3d9814fe701e590ad5f4ed0acc73	 2010-04-20 18:51:55	2,404 bytes
Comment 20 Šimon Lukašík 2011-04-04 07:57:32 EDT
Dump of rhel-i386-server-6 created with the new package set is able
to import on Sat541+.

I have verified the channel content (attributes for packages & files)
before and after the export using Satellite's frontend API. Values do
match for rhel-i386-server-6 and rhn-tools-rhel-i386-server-5 except
the bug 675228.
Comment 21 Šimon Lukašík 2011-04-05 04:51:07 EDT
After clearing the on the import cache /var/cache/rhn/satsync/* on Sat502
I am able to import rhn-tools-rhel-i386-server-5 dumps created with the new
package set.
Comment 22 Šimon Lukašík 2011-04-05 04:53:08 EDT
Flipping to Verified as per comments 17-21.

Verified against:
spacewalk-backend-1.2.13-38
Comment 23 errata-xmlrpc 2011-04-12 07:45:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0435.html

Note You need to log in before you can comment on or make changes to this bug.